#!/usr/local/bin/perl -w
use strict; use Tk;
my $entryvar;
my $main = new MainWindow;
my $e = $main->Entry(-textvariable => \$entryvar)
                 ->pack(-fill => 'x');
my $p = $main->Button(-text => "Press B3")->pack(-fill => "x");
my $b1 = $main->Button(-text => "Change Press-Button",
                       -command => sub { $p->bind("<Button-3>",""); }
                      )->pack(-fill => "x");
my $q = $main->Button(-text => "Quit", 
                      -command => sub { print "go to quit :-)\n"; 
                                        exit ; }
                     )->pack(-fill => "x");
my $b2 = $main->Button(-text => "Change Quit-Button",
           -command => sub { $q->configure(-command => 
                                            sub { print "::--))\n" }); }
                      )->pack(-fill => "x", before => $q);
$main->Button(-text => "Exit", -command => sub { exit; }
             )->pack(-fill => "x");

$p->bind("<Button-3>", sub { print "Button-3 pressed\n";  });
$p->bind("<ButtonRelease-3>", sub { print "Button-3 released\n"; });
$e->bind("<Return>", sub { print "Return-Key pressed\n"; });
$e->bind("<Control-Key-k>", sub { print "Ctrl-k was pressed\n"; });
$q->bind("<Button-1>", "");
$q->bind("<Button-1>", \&print_on_quit);
MainLoop;

sub print_on_quit {
  print "Finish :-(\n";
}
