#!/usr/local/bin/perl -w
use strict; use Tk;

my $infile = ""; my $outfile = ""; my $msg = ""; my $txt;
my $main = new MainWindow;
my $f1 = $main->Frame()->pack();
$f1->Label(-text => "Infile:"
                 )->pack(-side => "left", -expand => 1, -fill => "x");
$f1->Entry(-textvariable => \$infile
                    )->pack(-side => "left", -expand => 1, -fill => "x");
$f1->Entry(-textvariable => \$outfile
                    )->pack(-side => "right", -expand =>1, -fill => "x");
$f1->Label(-text => "Outfile:"
                 )->pack(-side => "right", -expand => 1, -fill => "x");
$main->Scrolled("Text", -height => 8, -width => 24
               )->pack(-expand => 1, -fill => "both");
$main->Scrolled("Text", -height => 8, -width => 24
               )->pack(-expand => 1, -fill => "both");
my $menu = $main->Menu(-menuitems => [
              ["command" => "Load", -command => \&load_file ],
              ["command" => "Save", -command => \&save_file ]
                                     ], -tearoff => 0);
$main->Label(-textvariable => \$msg, -relief => "groove", 
             -borderwidth => 4, -foreground => 'red' 
            )->pack(-expand => 1, -fill => "x");
$main->Button(-text => "Exit", -command => sub { exit; }
             )->pack();
$main->bind("Tk::Text", "<Button-3>", sub {
                       ($txt) = @_;
                       $menu->Popup(-popover=>"cursor")});
MainLoop;

sub save_file {
   if ( $outfile eq "" ) {
      $msg = "Give Outfile-Name"; return;
   }
   open(FH, ">$outfile") || ($msg = "Can't open $outfile");
   print FH $txt->get("1.0", "end");
   close(FH);
}

sub load_file {
   if ( $infile eq "" ) {
      $msg = "Give Infile-Name"; return;
   }
   if (! open(FH, "$infile") ) {
     $msg = "Can't open $infile"; return;
   }
   $txt->delete("1.0", "end");
   while(<FH>) {
      $txt->insert("end", "$_");
   }
   close(FH);
}
