#!/usr/local/bin/perl -w
use strict; use Tk;
my $main = new MainWindow;
my $b = $main->Button(-text => "Press")->pack();
$b->bind("<Button-3>", sub {print ":-) ";  });
$b->bind("<ButtonRelease-3>", sub {print ":-(\n";  });
$b->bind("<ButtonRelease-2>", \&my_print);
my $e = $main->Button(-text => "Exit", -command => \&print_bindings
                     )->pack();
MainLoop;

sub my_print { print "ButtonRelease-2\n"; }

sub print_bindings { 
  print "bindings for Press-Button:\n";
  my @bindings = $b->bind();
  foreach (@bindings) { print "$_ is assigned ", $b->bind($_), "\n"; }

  print "\nBindings of Exit-Button:\n";
  @bindings = $e->bind();
  foreach (@bindings) {
     print "$_ is assigned >>", $b->bind($_), "<<\n";
  }
  print "binding for Button-3: ";
  if (! $e->bind("<Button-3>")) { print "no\n"; } else { print "yes\n"; }
  print "binding for ButtonRelease-1: "; 
  if (! $e->bind("<ButtonRelease-1>")) { print "no\n"; } 
            else { print "yes\n"; }
  exit;
}
