#!/usr/local/bin/perl -w
use strict; use Tk;

my $main = new MainWindow;
my $b = $main->Button(-text => "B1: A simple Button", 
                      -command => sub {print ":-)\n"}
                     )->pack(-fill => "x");
$main->Button(-text => "B2: Show Class Bindings of Button above", 
              -command => sub { print "Bindings of Tk::Button: ";
                                my @binds = $b->bind("Tk::Button");
                                print "@binds\n"
                              }
                     )->pack(-fill => "x");
$main->Button(-text => "Exit", -command => sub { exit }
             )->pack(-fill => "x");
# <Button> means any mouse button

#Specific Binding
$b->bind("<Button-1>", sub { print "specific: $_[0]\n" });
#Detail Binding
$main->bind("<Button-1>", sub { print "detailed: $_[0]\n" });
# General Binding
$main->bind("<Button>", sub { print "general: $_[0]\n" });
# Class Binding:
$main->bind("Tk::Button", "<Button>", sub {print "class: $_[0]\n"});

MainLoop;
